#include <iostream>

std::string pobednik(int a,int b,int x,int y){
    if(a==x){ 
        if(y<b){
            return "drugi";
        }
        return "nijedan";
    }
    else{
        if(b==y){
            return "prvi";
        }
        return "nepoznato";
    }
}

int main(){
    int a,b,x,y;
    std::cin >> a >> b >> x >> y;
    std::cout << pobednik(a,b,x,y);
}